Debian Bug report logs - #391402
manpages-dev: Misleading wording regarding strcmp as the comparison routinein qsort

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Hrvoje Niksic <hniksic@xemacs.org>

Date: Fri, 6 Oct 2006 13:05:07 UTC

Severity: minor

Tags: fixed-upstream

Found in version manpages/2.39-1

Fixed in version manpages/2.41-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#391402; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Hrvoje Niksic <hniksic@xemacs.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hrvoje Niksic <hniksic@xemacs.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: Misleading wording regarding strcmp as the comparison routinein qsort
Date: Fri, 06 Oct 2006 15:03:16 +0200
Package: manpages-dev
Version: 2.39-1
Severity: minor

The qsort(3) man page seems to imply that strcmp can be passed as a
comparison routine to qsort.  The sentence I refer to is:

    Library routines suitable for use as the _compar_ argument include
    strcmp() (see below), alphasort(), and versionsort().

As written, the sentence is self-contradictory: it (falsely) claims that
strcmp is suitable for use as the _compar_ argument, and then refers the
reader to the example which (correctly) explains that this is not the case. 
Since strcmp really cannot be used as _compar_, I propose to change the
sentence.

I believe the intention of mentioning strcmp there was to say that strcmp is
useful for *implementing* a comparison function, and that intention is worth
retaining.  That is why I propose the sentence to be changed to something
like:

    Library routines suitable for use as the _compar_ argument include
    alphasort() and versionsort().  To compare C strings, the comparison
    function can call strcmp(), as shown in the example below.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (900, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages manpages-dev depends on:
ii  manpages                      2.39-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#391402; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 391402@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Hrvoje Niksic <hniksic@xemacs.org>, 391402@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#391402: manpages-dev: Misleading wording regarding strcmp as the comparison routinein qsort
Date: Fri, 06 Oct 2006 15:53:57 +0200
tags 391402 fixed-upstream
thanks

Hi,

> The qsort(3) man page seems to imply that strcmp can be passed as a
> comparison routine to qsort.  The sentence I refer to is:
> 
>     Library routines suitable for use as the _compar_ argument include
>     strcmp() (see below), alphasort(), and versionsort().
> 
> As written, the sentence is self-contradictory: it (falsely) claims 

Agreed.

> that
> strcmp is suitable for use as the _compar_ argument, and then refers the
> reader to the example which (correctly) explains that this is not the
> case. Since strcmp really cannot be used as _compar_, I propose to 
> change the sentence.
> 
> I believe the intention of mentioning strcmp there was to say that strcmp
> is useful for *implementing* a comparison function, and that intention is
> worth
> retaining.  That is why I propose the sentence to be changed to something
> like:
> 
>     Library routines suitable for use as the _compar_ argument include
>     alphasort() and versionsort().  To compare C strings, the comparison
>     function can call strcmp(), as shown in the example below.

Perfect.  Changed as you suggest for upstream 2.41.

Thanks for your report.

Cheers,

Michael
-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Hrvoje Niksic <hniksic@xemacs.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 391402-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 391402-close@bugs.debian.org
Subject: Bug#391402: fixed in manpages 2.41-1
Date: Mon, 12 Mar 2007 19:17:03 +0000
Source: manpages
Source-Version: 2.41-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.41-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.41-1_all.deb
manpages_2.41-1.diff.gz
  to pool/main/m/manpages/manpages_2.41-1.diff.gz
manpages_2.41-1.dsc
  to pool/main/m/manpages/manpages_2.41-1.dsc
manpages_2.41-1_all.deb
  to pool/main/m/manpages/manpages_2.41-1_all.deb
manpages_2.41.orig.tar.gz
  to pool/main/m/manpages/manpages_2.41.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 391402@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 12 Mar 2007 19:50:07 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.41-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 386087 386214 387551 391402
Changes: 
 manpages (2.41-1) unstable; urgency=low
 .
   * New upstream version
     . Fix broken text in clog2(3) and clog10(3) (closes: Bug#386214)
     . Fix return type in SYNOPSIS in mq_receive(3) (closes: Bug#387551)
     . Fix wording referring in qsort(2) (closes: Bug#391402)
     . Added some TZ examples to tzset(3) (closes: Bug#386087)
   * New priority optional (instead of standard) after ftpmaster haven't
     told the maintainer but only let the archive suite complain about
     override disparity.  Oh, how I just love this cooperation between
     Debian developers.
Files: 
 43fd1bda2e5acf7b810b8242727f25b4 584 doc - manpages_2.41-1.dsc
 254e0064c533c9147947b8b8a39a2a4f 1203032 doc - manpages_2.41.orig.tar.gz
 fd81e37380921c399c9ec3e8ede289dd 53196 doc - manpages_2.41-1.diff.gz
 226ccf5514f995642597a61054755c50 487610 doc important manpages_2.41-1_all.deb
 cfcf144ab16f5098003ef5af6d25c31b 1229962 doc optional manpages-dev_2.41-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF9aKwW5ql+IAeqTIRAnhOAJ9jUk0y7qv5xEaHjkOsv68Hj89CawCgsdJq
PG/cpY3n2wzYODsoih7AfHw=
=zTui
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 09:10:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:58:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.